/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package journal;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

/**
 *
 * @author danecek
 */
@MessageDriven(mappedName = "jms/jd", activationConfig =  {
        @ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge"),
        @ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue")
    })
public class JournalMessageBean implements MessageListener {
    
    public JournalMessageBean() {
    }

    @Override
    public void onMessage(Message message) {
        try {
            TextMessage tm = (TextMessage) message;
            String messText = tm.getText();

        } catch (JMSException ex) {
            Logger.getLogger(JournalMessageBean.class.getName()).log(Level.SEVERE, null, ex);
        }

    }
    
}
